## underscore.logger 0.3.0~20111114

=== debian/changelog ===
underscore.logger (0.3.0~20111114-1ubuntu1) quantal; urgency=low

  * Replace octal escapes with hex escapes (thanks, Julian Taylor; closes:
    #669541).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 11:46:06 +0100

underscore.logger (0.3.0~20111114-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#653064.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2011 11:41:05 +0700
