=== debian/control ===
Source: underscore.logger
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.72~),
 devscripts,
 debhelper,
 dh-buildinfo,
 coffeescript,
 uglifyjs
Standards-Version: 3.9.2
Homepage: https://github.com/viatropos/underscore.logger
Vcs-Git: git://git.debian.org/git/collab-maint/underscore.logger
Vcs-Browser: http://git.debian.org/?p=collab-maint/underscore.logger.git

Package: node-underscore.logger
Architecture: all
Depends: ${misc:Depends},
 ${cdbs:Depends}
Suggests: ${cdbs:Suggests}
Description: cross-browser and Node empowered logging - Node module
 Node is an event-based server-side JavaScript engine.
 .
 Underscore is a utility-belt library for JavaScript that provides a lot
 of the functional programming support that you would expect in
 Prototype.js (or Ruby), but without extending any of the built-in
 JavaScript objects.  It's the tie to go along with jQuery's tux.
 .
 underscore.logger is a logging library usable either directly in web
 browsers or as a Node module, optionally as an Underscore mixin.
 .
 This package contains underscore.logger usable with Node.

Package: libjs-underscore.logger
Architecture: all
Depends: ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: cross-browser and Node empowered logging - browser library
 Node is an event-based server-side JavaScript engine.
 .
 Underscore is a utility-belt library for JavaScript that provides a lot
 of the functional programming support that you would expect in
 Prototype.js (or Ruby), but without extending any of the built-in
 JavaScript objects.  It's the tie to go along with jQuery's tux.
 .
 underscore.logger is a logging library usable either directly in web
 browsers or as a Node module, optionally as an Underscore mixin.
 .
 This package contains underscore.logger usable directly in web
 browsers.
